## frei0r 2.4.0

=== src/CMakeLists.txt ===
set (CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed")
if(NOT MSVC)
  link_libraries(m)
endif()
add_subdirectory (filter)
add_subdirectory (generator)
add_subdirectory (mixer2)
add_subdirectory (mixer3)

=== src/filter/3dflippo/CMakeLists.txt ===
set (SOURCES 3dflippo.c)
set (TARGET 3dflippo)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/bgsubtract0r/CMakeLists.txt ===
set (SOURCES bgsubtract0r.c)
set (TARGET bgsubtract0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/blur/CMakeLists.txt ===
set (SOURCES IIRblur.c fibe.h)
set (TARGET IIRblur)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

if(NOT MSVC)
  link_libraries(m)
endif()
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/brightness/CMakeLists.txt ===
set (SOURCES brightness.c)
set (TARGET brightness)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/c0rners/CMakeLists.txt ===
set (SOURCES c0rners.c interp.h)
set (TARGET c0rners)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cairogradient/CMakeLists.txt ===
set (SOURCES cairogradient.c)
set (TARGET cairogradient)

include_directories(${Cairo_INCLUDE_DIR})
set(LIBS ${LIBS} ${Cairo_LIBRARY})

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")
target_link_libraries(cairogradient ${LIBS})

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cairoimagegrid/CMakeLists.txt ===
set (SOURCES cairoimagegrid.c)
set (TARGET cairoimagegrid)

include_directories(${Cairo_INCLUDE_DIR})
set(LIBS ${LIBS} ${Cairo_LIBRARY})

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")
target_link_libraries(cairoimagegrid ${LIBS})

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cartoon/CMakeLists.txt ===
set (SOURCES cartoon.cpp)
set (TARGET cartoon)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cluster/CMakeLists.txt ===
set (SOURCES cluster.c)
set (TARGET cluster)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/colgate/CMakeLists.txt ===
set (SOURCES colgate.c)
set (TARGET colgate)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

if(NOT MSVC)
  link_libraries(m)
endif()
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/colortap/CMakeLists.txt ===
set (SOURCES colortap.c)
set (TARGET colortap)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    (Closes: #1112936)

  [ Alexandre Detiste ]
  * remove obsolete dh-buildinfo build dependency

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop obsolete patches
  * Install plugins to multiarch locations (with compat symlinks)
    (for CMake 4)
  * Install frei0r.pc into /usr/share/pkgconfig
    + Ensure that frei0r.pc can be shared across architectures
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Sep 2025 14:38:38 +0200

=== debian/control ===
Source: frei0r
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Vcs-Git: https://salsa.debian.org/multimedia-team/frei0r.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/frei0r
Homepage: https://frei0r.dyne.org/
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libcairo2-dev,
 libgavl-dev,
 libopencv-dev,
 pkgconf,
Build-Depends-Indep:
 doxygen,
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: frei0r-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
# opencv-data,
Breaks:
 frei0r (<= 1.1.22),
Replaces:
 frei0r,
Description: minimalistic plugin API for video effects, plugins collection
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains a collection of plugins.

Package: frei0r-plugins-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 frei0r-dev (<= 1.1.22),
Replaces:
 frei0r-dev,
Description: minimalistic plugin API for video effects, header files
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the header needed to enable frei0r in other
 packages at build time and to build your own frei0r plugins.

Package: frei0r-plugins-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 frei0r-doc (<= 1.1.22),
Replaces:
 frei0r-doc,
Description: minimalistic plugin API for video effects, API documentation
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CMAKE_EXTRA_FLAGS =

#DEB_CMAKE_EXTRA_FLAGS += \
#	-DCMAKE_INSTALL_LIBDIR=lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_build-indep:
	dh_auto_build -i
	doxygen doc/Doxyfile

################ d/copyright helper ##############
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|src/.*\.jpg
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/frei0r-$1\.tar\.gz/, \
  dversionmangle=auto" \
https://github.com/dyne/frei0r/tags .*/v?(\d[\d\.]+)\.tar\.gz

## frei0r 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.12...3.31)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

project (frei0r)
set (VERSION 1.8)

include(GNUInstallDirs)

option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
if (NOT WITHOUT_OPENCV)
  find_package (OpenCV)
endif ()

find_package (Cairo)

include(FindPkgConfig)
option (WITHOUT_GAVL "Disable plugins dependent upon gavl" OFF)
if (PKG_CONFIG_FOUND AND NOT WITHOUT_GAVL)
  pkg_check_modules(GAVL gavl)
endif ()

include_directories (AFTER include)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif (NOT CMAKE_BUILD_TYPE)

set (LIBDIR "${CMAKE_INSTALL_LIBDIR}/frei0r-1")
set (FREI0R_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_0.def")
set (FREI0R_1_1_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_1.def")

# --- custom targets: ---
INCLUDE( cmake/modules/TargetDistclean.cmake OPTIONAL)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# For code documentation run: doxygen doc/Doxyfile
# add_subdirectory (doc)

add_subdirectory (src)

# Generate frei0r.pc and install it.
set (prefix "${CMAKE_INSTALL_PREFIX}")
set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
set (libdir "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (includedir "${CMAKE_INSTALL_PREFIX}/include")
configure_file ("frei0r.pc.in" "frei0r.pc" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/frei0r.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== test/Makefile ===
INCLUDES ?= -I ../include

PLUGINDIR ?= ../build/src

all: build scan-plugins

scan-plugins:
	@$(if $(wildcard ${PLUGINDIR}),,>&2 echo "Scan dir not found: ${PLUGINDIR}" && exit 1)
	@find ${PLUGINDIR} -type f -name '*.so' -exec ./frei0r-info {} \; > tmp.json
	@echo "[" > frei0r-plugin-list.json
	@head -n -1 tmp.json >> frei0r-plugin-list.json
	@echo "}\n]" >> frei0r-plugin-list.json
	@rm tmp.json
	$(info frei0r-plugin-list.json)

build:
	@${CC} -o frei0r-info -ggdb frei0r-info.c ${INCLUDES}

clean:
	rm -f *.o
	rm -f frei0r-info
	rm -f *.json

=== src/filter/CMakeLists.txt ===
if (${GAVL_FOUND})
    add_subdirectory (rgbparade)
    add_subdirectory (scale0tilt)
    add_subdirectory (vectorscope)
endif (${GAVL_FOUND})

if (${OpenCV_FOUND})
    add_subdirectory (facebl0r)
    add_subdirectory (facedetect)
endif (${OpenCV_FOUND})

if (${Cairo_FOUND})
  add_subdirectory (cairoimagegrid)
  add_subdirectory (cairogradient)
  add_subdirectory (mirr0r)
endif (${Cairo_FOUND})

add_subdirectory (3dflippo)
add_subdirectory (aech0r)
add_subdirectory (alpha0ps)
add_subdirectory (balanc0r)
add_subdirectory (baltan)
add_subdirectory (bluescreen0r)
add_subdirectory (bgsubtract0r)
add_subdirectory (blur)
add_subdirectory (brightness)
add_subdirectory (bw0r)
add_subdirectory (cartoon)
add_subdirectory (cluster)
add_subdirectory (colgate)
add_subdirectory (coloradj)
add_subdirectory (colordistance)
add_subdirectory (colorize)
add_subdirectory (colorhalftone)
add_subdirectory (colortap)
add_subdirectory (contrast0r)
add_subdirectory (c0rners)
add_subdirectory (curves)
add_subdirectory (d90stairsteppingfix)
add_subdirectory (defish0r)
add_subdirectory (delay0r)
add_subdirectory (delaygrab)
add_subdirectory (denoise)
add_subdirectory (distort0r)
add_subdirectory (dither)
add_subdirectory (edgeglow)
add_subdirectory (elastic_scale)
add_subdirectory (emboss)
add_subdirectory (equaliz0r)
add_subdirectory (filmgrain)
add_subdirectory (flippo)
add_subdirectory (gamma)
add_subdirectory (gateweave)
add_subdirectory (glow)
add_subdirectory (glitch0r)
#add_subdirectory (host_param_test)
add_subdirectory (heatmap0r)
add_subdirectory (hueshift0r)
add_subdirectory (invert0r)
add_subdirectory (kaleid0sc0pe) 
add_subdirectory (keyspillm0pup)
add_subdirectory (lenscorrection)
add_subdirectory (letterb0xed)
add_subdirectory (levels)
add_subdirectory (lightgraffiti)
add_subdirectory (luminance)
add_subdirectory (mask0mate)
add_subdirectory (medians)
add_subdirectory (measure)
add_subdirectory (ndvi)
add_subdirectory (nervous)
add_subdirectory (normaliz0r)
add_subdirectory (nosync0r)
add_subdirectory (ntsc)
add_subdirectory (perspective)
add_subdirectory (pixeliz0r)
add_subdirectory (pixs0r)
add_subdirectory (posterize)
add_subdirectory (premultiply)
add_subdirectory (primaries)
add_subdirectory (RGB)
add_subdirectory (rgbnoise)
add_subdirectory (rgbsplit0r)
add_subdirectory (saturat0r)
add_subdirectory (scanline0r)
add_subdirectory (select0r)
add_subdirectory (sharpness)
add_subdirectory (sigmoidaltransfer)
add_subdirectory (sobel)
add_subdirectory (softglow)
add_subdirectory (sopsat)
add_subdirectory (spillsupress)
add_subdirectory (squareblur)
add_subdirectory (tehroxx0r)
add_subdirectory (three_point_balance)
add_subdirectory (threelay0r)
add_subdirectory (threshold0r)
add_subdirectory (timeout)
add_subdirectory (tint0r)
add_subdirectory (transparency)
add_subdirectory (tutorial)
add_subdirectory (twolay0r)
add_subdirectory (vertigo)
add_subdirectory (vignette)

=== src/generator/CMakeLists.txt ===
add_subdirectory (dem0scene)
add_subdirectory (ising0r)
add_subdirectory (lissajous0r)
add_subdirectory (nois0r)
add_subdirectory (onecol0r)
add_subdirectory (partik0l)
add_subdirectory (test_pat)

=== src/filter/RGB/CMakeLists.txt ===
set (R_SOURCES R.c)
set (G_SOURCES G.c)
set (B_SOURCES B.c)

if (MSVC)
  set (R_SOURCES ${R_SOURCES} ${FREI0R_DEF})
  set (G_SOURCES ${G_SOURCES} ${FREI0R_DEF})
  set (B_SOURCES ${B_SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (R MODULE ${R_SOURCES})
add_library (G MODULE ${G_SOURCES})
add_library (B MODULE ${B_SOURCES})

set_target_properties (R PROPERTIES PREFIX "")
set_target_properties (G PROPERTIES PREFIX "")
set_target_properties (B PROPERTIES PREFIX "")

install (TARGETS R LIBRARY DESTINATION ${LIBDIR})
install (TARGETS G LIBRARY DESTINATION ${LIBDIR})
install (TARGETS B LIBRARY DESTINATION ${LIBDIR})

=== src/filter/alpha0ps/CMakeLists.txt ===
set (O_SOURCES alpha0ps_alpha0ps.c fibe_f.h)
set (G_SOURCES alpha0ps_alphagrad.c)
set (S_SOURCES alpha0ps_alphaspot.c)

if (MSVC)
  set (O_SOURCES ${O_SOURCES} ${FREI0R_DEF})
  set (G_SOURCES ${G_SOURCES} ${FREI0R_DEF})
  set (S_SOURCES ${S_SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (alpha0ps_alpha0ps MODULE ${O_SOURCES})
add_library (alpha0ps_alphagrad MODULE ${G_SOURCES})
add_library (alpha0ps_alphaspot MODULE ${S_SOURCES})

if(NOT MSVC)
  target_link_libraries(alpha0ps_alpha0ps -lm)
  target_link_libraries(alpha0ps_alphagrad -lm)
  target_link_libraries(alpha0ps_alphaspot -lm)
endif()

set_target_properties (alpha0ps_alpha0ps PROPERTIES PREFIX "")
set_target_properties (alpha0ps_alphagrad PROPERTIES PREFIX "")
set_target_properties (alpha0ps_alphaspot PROPERTIES PREFIX "")

install (TARGETS alpha0ps_alpha0ps LIBRARY DESTINATION ${LIBDIR})
install (TARGETS alpha0ps_alphagrad LIBRARY DESTINATION ${LIBDIR})
install (TARGETS alpha0ps_alphaspot LIBRARY DESTINATION ${LIBDIR})

=== src/filter/balanc0r/CMakeLists.txt ===
set (SOURCES balanc0r.c)
set (TARGET balanc0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/baltan/CMakeLists.txt ===
set (SOURCES baltan.cpp)
set (TARGET baltan)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/bw0r/CMakeLists.txt ===
set (SOURCES bw0r.c)
set (TARGET bw0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/coloradj/CMakeLists.txt ===
set (SOURCES coloradj_RGB.c)
set (TARGET coloradj_RGB)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

if(NOT MSVC)
  link_libraries(m)
endif()
add_library (${TARGET} MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/facebl0r/CMakeLists.txt ===
set (SOURCES facebl0r.cpp)
set (TARGET facebl0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

include_directories(${OpenCV_INCLUDE_DIRS})
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")
target_link_libraries(${TARGET} ${OpenCV_LIBS})

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/filmgrain/CMakeLists.txt ===
set (SOURCES filmgrain.c)
set (TARGET filmgrain)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

  * Update copyright information
    + Add new copyright holders
    + Re-generate d/copyright_hints
    + Group copyright stanzas alphabetically
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Nov 2025 13:09:58 +0100

=== debian/tests/control ===
Test-Command: make -C test/ PLUGINDIR=/usr/lib/frei0r-1
Restrictions:
 allow-stderr,
 superficial,
Depends:
 build-essential,
 pkgconf,
 @,

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: auto
Owner: dyne
Project: frei0r

## frei0r 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
-cmake_minimum_required (VERSION 3.12...3.31)
+cmake_minimum_required (VERSION 3.12)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 project (frei0r)
-set (VERSION 1.8)
+set (VERSION 2.5.1)
 
 include(GNUInstallDirs)
 
 option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
+option (WITHOUT_FACERECOGNITION "Disable facedetect plugin to avoid protobuf conflicts" OFF)
+
 if (NOT WITHOUT_OPENCV)
   find_package (OpenCV)
 endif ()

=== src/filter/autothresh0ld/CMakeLists.txt ===
set (SOURCES autothresh0ld.c)
set (TARGET autothresh0ld)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET} MODULE ${SOURCES})

# No «lib» prefix (name.so instead of libname.so)
set_target_properties (${TARGET} PROPERTIES PREFIX "")

=== src/filter/facebl0r/CMakeLists.txt ===
# facebl0r filter - requires OpenCV (and protobuf)
# This filter can cause conflicts with applications that also use protobuf
# such as MLT, so it can be disabled with -DWITHOUT_FACERECOGNITION=ON

if (OpenCV_FOUND AND NOT WITHOUT_FACERECOGNITION)
  set (SOURCES facebl0r.cpp)
  set (TARGET facebl0r)

  if (MSVC)
    set (SOURCES ${SOURCES} ${FREI0R_DEF})
  endif (MSVC)

  include_directories(${OpenCV_INCLUDE_DIRS})
  add_library (${TARGET} MODULE ${SOURCES})
  set_target_properties (${TARGET} PROPERTIES PREFIX "")
  target_link_libraries(${TARGET} ${OpenCV_LIBS})

  install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})
endif()

=== src/filter/heatmap0r/CMakeLists.txt ===
set (SOURCES heatmap0r.c)
set (TARGET heatmap0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET} MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Update copyright information
    + Update license for flitch0r and rgbsplit0r
    + Update d/copyright dates
    + Re-generate d/copyright_hints
  * Drop obsolete Rules-Requires-Root stanza.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Build-Depends-Indep:
  doxygen,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 
 Package: frei0r-plugins
 Architecture: any

## frei0r 2.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,15 +11,18 @@
 option (WITHOUT_FACERECOGNITION "Disable facedetect plugin to avoid protobuf conflicts" OFF)
 
 if (NOT WITHOUT_OPENCV)
-  find_package (OpenCV)
+  find_package (OpenCV REQUIRED)
 endif ()
 
-find_package (Cairo)
+option (WITHOUT_CAIRO "Disable plugins dependent upon gavl" OFF)
+if (NOT WITHOUT_CAIRO)
+  find_package (Cairo REQUIRED)
+endif ()
 
 include(FindPkgConfig)
 option (WITHOUT_GAVL "Disable plugins dependent upon gavl" OFF)
 if (PKG_CONFIG_FOUND AND NOT WITHOUT_GAVL)
-  pkg_check_modules(GAVL gavl)
+  pkg_check_modules(GAVL REQUIRED gavl)
 endif ()
 
 include_directories (AFTER include)

=== src/filter/facedetect/CMakeLists.txt ===
# facedetect filter - requires OpenCV (and protobuf)
# This filter can cause conflicts with applications that also use protobuf
# such as MLT, so it can be disabled with -DWITHOUT_FACERECOGNITION=ON

if (OpenCV_FOUND AND NOT WITHOUT_FACERECOGNITION)
  set (SOURCES facedetect.cpp)
  set (TARGET facedetect)

  if (MSVC)
    set (SOURCES ${SOURCES} ${FREI0R_DEF})
  endif (MSVC)

  include_directories(${OpenCV_INCLUDE_DIRS})
  add_library (${TARGET} MODULE ${SOURCES})
  set_target_properties (${TARGET} PROPERTIES PREFIX "")
  target_link_libraries(${TARGET} ${OpenCV_LIBS})

  install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})
endif()

=== debian/changelog ===
frei0r (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * Drop obsolete 'Priority: optional' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Mar 2026 17:18:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: frei0r
 Section: video
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -16,7 +15,7 @@
  pkgconf,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: frei0r-plugins
 Architecture: any
